Auth Token
Generate Auth token
Get a short lived token for initializing request calls for Registered client API.
POST
/
admin
/
api
/
v1
/
Token
Generate Auth token
curl --request POST \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<api-key>",
"clientSecret": "<api-key>"
}
'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token"
payload = {
"clientId": "<api-key>",
"clientSecret": "<api-key>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientId: '<api-key>', clientSecret: '<api-key>'})
};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientId' => '<api-key>',
'clientSecret' => '<api-key>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token"
payload := strings.NewReader("{\n \"clientId\": \"<api-key>\",\n \"clientSecret\": \"<api-key>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"clientId\": \"<api-key>\",\n \"clientSecret\": \"<api-key>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientId\": \"<api-key>\",\n \"clientSecret\": \"<api-key>\"\n}"
response = http.request(request)
puts response.read_body{
"content": {
"id_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiYWRtaW4iOnRydWUsImlhdCI6MTUxNjIzOTAyMn0.KMUFsIDTnFmyG3nMiGM6H9FNFUROf3wh7SmqJp-QV30",
"expires_in": 3600,
"status": "succeeded"
},
"status": "ok",
"message": "",
"errorHash": "e47df370",
"teamCode": "P4",
"errorType": ""
}{
"status": "badRequest",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}Authorizations
Body
application/jsontext/jsonapplication/*+json
Response
Token created
Was this page helpful?
⌘I
Generate Auth token
curl --request POST \
--url https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<api-key>",
"clientSecret": "<api-key>"
}
'import requests
url = "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token"
payload = {
"clientId": "<api-key>",
"clientSecret": "<api-key>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientId: '<api-key>', clientSecret: '<api-key>'})
};
fetch('https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientId' => '<api-key>',
'clientSecret' => '<api-key>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token"
payload := strings.NewReader("{\n \"clientId\": \"<api-key>\",\n \"clientSecret\": \"<api-key>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"clientId\": \"<api-key>\",\n \"clientSecret\": \"<api-key>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard-prd-eus2-api-app.azurewebsites.net/admin/api/v1/Token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientId\": \"<api-key>\",\n \"clientSecret\": \"<api-key>\"\n}"
response = http.request(request)
puts response.read_body{
"content": {
"id_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiYWRtaW4iOnRydWUsImlhdCI6MTUxNjIzOTAyMn0.KMUFsIDTnFmyG3nMiGM6H9FNFUROf3wh7SmqJp-QV30",
"expires_in": 3600,
"status": "succeeded"
},
"status": "ok",
"message": "",
"errorHash": "e47df370",
"teamCode": "P4",
"errorType": ""
}{
"status": "badRequest",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}{
"status": "permissionDenied",
"message": "Error message",
"displayMessage": "Optional display message",
"errorHash": "cd59bd31",
"teamCode": "P4",
"errorType": "missingField"
}